<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Control_Corridor StructType
 * @subpackage Structs
 */
class Control_Corridor extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The CorridorSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CorridorSelection
     */
    public $CorridorSelection;
    /**
     * Constructor method for Control_Corridor
     * @uses Control_Corridor::setLogin()
     * @uses Control_Corridor::setCorridorSelection()
     * @param \StructType\Login $login
     * @param \StructType\CorridorSelection $corridorSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\CorridorSelection $corridorSelection = null)
    {
        $this
            ->setLogin($login)
            ->setCorridorSelection($corridorSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Control_Corridor
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get CorridorSelection value
     * @return \StructType\CorridorSelection|null
     */
    public function getCorridorSelection()
    {
        return $this->CorridorSelection;
    }
    /**
     * Set CorridorSelection value
     * @param \StructType\CorridorSelection $corridorSelection
     * @return \StructType\Control_Corridor
     */
    public function setCorridorSelection(\StructType\CorridorSelection $corridorSelection = null)
    {
        $this->CorridorSelection = $corridorSelection;
        return $this;
    }
}
